Commit b5da5a05 authored by Matthieu Dorier's avatar Matthieu Dorier
Browse files

moved all the python wrappers to pybind11

parent 30c27b0e
...@@ -39,9 +39,8 @@ class PyBake(PythonPackage): ...@@ -39,9 +39,8 @@ class PyBake(PythonPackage):
variant('numpy',default=False, description="Enables Numpy support") variant('numpy',default=False, description="Enables Numpy support")
depends_on('py-pybind11', type=('build'))
depends_on('py-pkgconfig', type=('build')) depends_on('py-pkgconfig', type=('build'))
depends_on('bake') depends_on('bake')
depends_on('boost+python@1.67.0:', when='~numpy')
depends_on('boost+python+numpy@1.67.0:', when='+numpy')
depends_on('py-margo') depends_on('py-margo')
depends_on('py-numpy', when='+numpy') depends_on('py-numpy', when='+numpy')
...@@ -39,5 +39,5 @@ class PyMargo(PythonPackage): ...@@ -39,5 +39,5 @@ class PyMargo(PythonPackage):
version('master', git="https://xgitlab.cels.anl.gov/sds/py-margo.git") version('master', git="https://xgitlab.cels.anl.gov/sds/py-margo.git")
depends_on('margo') depends_on('margo')
depends_on('boost+python@1.67.0:') depends_on('py-pybind11', type=('build'))
depends_on('py-pkgconfig') depends_on('py-pkgconfig', type=('build'))
...@@ -44,4 +44,5 @@ class PyMobject(PythonPackage): ...@@ -44,4 +44,5 @@ class PyMobject(PythonPackage):
depends_on('mobject') depends_on('mobject')
depends_on('py-mpi4py') depends_on('py-mpi4py')
depends_on('mpi') depends_on('mpi')
depends_on('py-pkgconfig') depends_on('py-pkgconfig', type=('build'))
depends_on('py-pybind11', type=('build'))
...@@ -39,4 +39,5 @@ class PySdskv(PythonPackage): ...@@ -39,4 +39,5 @@ class PySdskv(PythonPackage):
depends_on('sdskeyval') depends_on('sdskeyval')
depends_on('py-margo') depends_on('py-margo')
depends_on('py-pkgconfig') depends_on('py-pkgconfig', type=('build'))
depends_on('py-pybind11', type=('build'))
...@@ -43,4 +43,5 @@ class PySsg(PythonPackage): ...@@ -43,4 +43,5 @@ class PySsg(PythonPackage):
depends_on('ssg', when='~mpi') depends_on('ssg', when='~mpi')
depends_on('py-mpi4py', when='+mpi') depends_on('py-mpi4py', when='+mpi')
depends_on('py-margo') depends_on('py-margo')
depends_on('py-pkgconfig') depends_on('py-pkgconfig', type=('build'))
depends_on('py-pybind11', type=('build'))
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment